### Function Macro

# GLib assert_cmphex

since: 2.16

#### Declaration [src]

    #define g_assert_cmphex (
      n1,
      cmp,
      n2
    )

#### Description [src]

Debugging macro to compare to unsigned integers.

This is a variant of `g_assert_cmpuint()` that displays the numbers in hexadecimal notation in the message.

Available since: 2.16

This function is not directly available to language bindings.

#### Parameters

`n1`

  Type: `-`

  An unsigned integer.

`cmp`

  Type: `-`

  The comparison operator to use. One of `==`, `!=`, `<`, `>`, `<=`, `>=`.

`n2`

  Type: `-`

  Another unsigned integer.